package com.example.sensors

import android.hardware.Sensor

enum class SensorType {
    ENVIRONMENT,
    MOTION,
    POSITION
}

val ENVIRONMENT_SENSORS = arrayOf(
    Sensor.TYPE_AMBIENT_TEMPERATURE,
    Sensor.TYPE_LIGHT,
    Sensor.TYPE_PRESSURE,
    Sensor.TYPE_RELATIVE_HUMIDITY,
    Sensor.TYPE_TEMPERATURE
)

val MOTION_SENSORS = arrayOf(
    Sensor.TYPE_ACCELEROMETER,
    Sensor.TYPE_ACCELEROMETER_UNCALIBRATED,
    Sensor.TYPE_GRAVITY,
    Sensor.TYPE_GYROSCOPE,
    Sensor.TYPE_GYROSCOPE_UNCALIBRATED,
    Sensor.TYPE_LINEAR_ACCELERATION,
    Sensor.TYPE_ROTATION_VECTOR,
    Sensor.TYPE_SIGNIFICANT_MOTION,
    Sensor.TYPE_STEP_COUNTER,
    Sensor.TYPE_STEP_DETECTOR,
)

val POSITION_SENSORS = arrayOf(
    Sensor.TYPE_GAME_ROTATION_VECTOR,
    Sensor.TYPE_GEOMAGNETIC_ROTATION_VECTOR,
    Sensor.TYPE_MAGNETIC_FIELD,
    Sensor.TYPE_MAGNETIC_FIELD_UNCALIBRATED,
    Sensor.TYPE_ORIENTATION,
    Sensor.TYPE_PROXIMITY,
)